module Member
  class Engine < ::Rails::Engine
  	initializer "member" do
  		OrbitApp.registration "Member",:type=> 'ModuleApp' do
			module_label 'member.member'
			base_url File.expand_path File.dirname(__FILE__)    
			
			version "0.1"
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'

			front_end do
			  app_page 'member_lists'  do 
			    frontend_i18n "member.frontend.member"
			    style ["Single","Two"]
			  end
			end


			widgets do
			  categories_query 'RoleStatus.where(:role_id=> RoleStatus.get_role_data("teacher") )'
			end
			end
		end
	end
end
